Subject: Re: bug#46820: 28.0.50; easy-menu-define failure in cmuscheme

From: Juri Linkov <[email-masked]>
Date: Mon, 01 Mar 2021 21:54:18 +0200

>> Debugger entered--Lisp error: (wrong-type-argument keymapp nil)
>>   define-key(nil [separator-eval] ("--"))
>>   require(cmuscheme)
>
> This should now be fixed on the trunk (well, the FSF server are very
> slow today, so I'm having trouble pushing anything), but...  that

Thanks, confirmed.

> cmuscheme.el file is rather odd: It doesn't create a new mode or
> anything, but just alters the scheme.el mode things, which means that
> after you've loaded it, you can't use the regular scheme.el mode any
> more.
>
> Which is a very unusual way of doing things, to put it mildly.

cmuscheme.el is valuable for one thing - the command 'run-scheme'.